GNU bug report logs - #47753
27.2; emacs menus don't drop down (macos 10.11.6)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Artemio González López <artemiog@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 47753 <at> debbugs.gnu.org and Artemio González López <artemiog@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47753 <at> debbugs.gnu.org:


Received: (at 47753) by debbugs.gnu.org; 5 May 2021 16:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 12:03:11 2021
Received: from localhost ([127.0.0.1]:33016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leJzT-0003il-7C
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 12:03:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leJzR-0003ia-8p
 for 47753 <at> debbugs.gnu.org; Wed, 05 May 2021 12:03:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=fZ4uJYk6fJ98E7fofv7ZuenNWEwzl2hSn1569DG441w=; b=XkyXf2Kdy6Z3ILWXomD7f+mdyy
 rwqSq9z3paWiS6Q7adVlFUSVK1KtxzT34+nXVV9cdLjp/qy9+zisIPTZnBOThCW5MLmMFh7juOvbo
 PeO0QpiHcg+W8mjESLJok2wvm5gICMukQWdzV3P9M2O8CpZEaUzdcN6PiAHPsBWVOgj8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leJzH-0003KR-UW; Wed, 05 May 2021 18:03:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
Subject: Re: bug#47753: 27.2; emacs menus don't drop down (macos 10.11.6)
References: <008E511E-2805-4F72-90F3-6A852F4A9864@HIDDEN>
 <m15z0qnjfd.fsf@HIDDEN>
X-Now-Playing: Martina Topley-Bird's _Quixotic_: "Need One"
Date: Wed, 05 May 2021 18:02:59 +0200
In-Reply-To: <m15z0qnjfd.fsf@HIDDEN> ("Daniel =?utf-8?Q?Mart=C3=ADn=22's?=
 message of "Tue, 13 Apr 2021 20:11:50 +0200")
Message-ID: <87y2ct2moc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Daniel Martín <mardani29@HIDDEN> writes: > I think this
    is a duplicate of bug#47692, which is solved in Emacs > 28. OK; closing this
    bug report, then. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47753
Cc: Artemio =?utf-8?Q?Gonz=C3=A1lez_L=C3=B3pez?= <artemiog@HIDDEN>,
 47753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Mart=C3=ADn <mardani29@HIDDEN> writes:

> I think this is a duplicate of bug#47692, which is solved in Emacs
> 28.

OK; closing this bug report, then.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47753; Package emacs. Full text available.

Message received at 47753 <at> debbugs.gnu.org:


Received: (at 47753) by debbugs.gnu.org; 13 Apr 2021 18:12:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 14:12:04 2021
Received: from localhost ([127.0.0.1]:60764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWNW7-0007KA-TN
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 14:12:04 -0400
Received: from sonic308-18.consmr.mail.ir2.yahoo.com ([77.238.178.146]:36934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1lWNW4-0007JM-9q
 for 47753 <at> debbugs.gnu.org; Tue, 13 Apr 2021 14:12:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1618337513; bh=DwpLXMtosvqM9mRYSn7Jw0SNcUBNFXcpb2NKiXnqYyE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=d92RxmW0GyNeH5+yL890qIYH/Ib3HAwSH7iWj9NEYr4V7rTgpg9JFLBWzr66TR4Wl8wFfUpjkWWit3Bz75yuu3Br46wxF7bVk8jpOsRbVxN2hagnO1UCQqxqScp6Tw8LOun5lEiPsuk+49jZ08/aa2x92iAIOsCtYRBGC0iKfAf6kXddI9XiMQtMng/8d3rBD2nLeR99PZRhD05E8bLzlVgTPPZe+Ssv/b9aY1B9+QQV3459Ry+GhW6petRmL1eL7IctayQQSs7Jeo38W5B/ZGgigbbGfbbU32KNdcfJwjnalRWSjCViKlUubiKoIdTS0Y6yAWuEPtnxNcgY0s4eGQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1618337513; bh=7CL4ARjKYmydGN5HItIfw0i+jEWtzRlGG4bbzknlGSN=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=ZJEMnZQ7yf7bWYBOYZPjabE65aCRe+17ySk7Pe47GfagDdrGerLdOYsqaUVxOTfn587vVkOWMhvv7b7aSNysHjgyqAz08U/0/xAen3xfXNPjShRqW4SPXvf3+67mmVAegbzTY2bQESOHnaminkXApz0UfhtKErUEIc7TKtOQ7E8C3a+JD9CCl6ai/ldixE6LkdQpitUVtN6GXJMQYnNE9AEhrG8sbtCQCWJLLvS5PW5Rmxc/9fnfc57ci8ldvZurINiJMHeVG3Axca9L7RZvaTLVcxxDTDJcCVQ6dH/s6ldGCYjz3fJy6A3y7nxucHkPaABctJek5cQ+M3MgBzwX3Q==
X-YMail-OSG: WUj21t8VM1loVwojscguicftOCG.3xFdc2oGKgrBGhdX2puerxd3b_Teui2zEaw
 MItT4eaqySi8eK1h1JxBwvOTnnah.IhCnd6wYsINCRFQUFz4S0dpWvyxWstypA15FslmIcbhK512
 SMTDBbgjSHZVCt6Y_r6tCuF5wa5SLeb8ki95JyGNF0.J6nYuo2DqyFlDAtQtyNWhpa_DXx6UL4zV
 _6mXveOylaI4q4vj7Ohyevgal876yctHsDzPG7h496P3kTh9JvTUo1pFaVLg8VdmZpZU0IAA_D2c
 UnpbP5rhyZM0OpmeNLWhDUU6kDzMGCBrK70AUQfm5oaHMkuLccadue_tLezZIO3foXyw.HCV.DBR
 gRlqVUK2oR4bsjup7tAD2Y05sD5LYr8fS6SslG9GlTIHaiwISuHPEGB_FNbOtNQBNa4SHd5mXm0F
 O.HtWVX_dEm_G30AIecqcExZMGTSVcYuapy7WTPw_cxPXzgM8VzZV9XmiA7Wu1Q239eK1q79pulI
 UKreNLs0Nbhs_MjZWcyPXbyTa012tDUtpW5fV7mru_y.MwYV19M8zmblcQI8iprV_y4f6kFcW.5n
 ooyRoKPt9ysln6_aX9tyitcOiVmKdJyZKQMyUxyFV5hqM5PMKoDC04SsUo0cb5zeyg_CIYU2z22a
 YB0EudrahuYnR7JCLhx9Wx33kKFwA1XQssrk0wxcfHfaQFNtx241uFiiW1ysqJyC7fHyh8Rxsf42
 1.I8YwDS4MK66rBcC4gVewZ5EmO4g2wUNvYtlXIYPOMvjK2r0RfGjLPX7UPfJalAQuJxN4uMPOBJ
 Gm8Ybxi8on4mAZJcVmMfYlGApzKu57PUiq6SXGjebNVBv9NP_ObVPAfrD.vqgMXt1iGOVofNjl6O
 .hpItcbznITpzbN3Yy8sQ.xasxld.5H2M06Su8MzkfDcS0Fsc1CCXcAulK1.7fC0ebVRslLxub9C
 nfYTOQm2P3c6wjWdqiObB5e60j0CyDX7csXpEVwhsWnSpG4emFrDcxf0PTQUx7xO8jmZ.kf6j8QS
 eSKS..RNeu7gxDuT1TFz8UJ2XIhpxc0KnKJ76AbxNcBHei6Ye.hUbhrLuE1ULEykdWJmH4VU6nL7
 x8zAhmHDjQxkvuu6UPmvKOU2mrwEc6OHN7HNU8gfB3foDqzdVXHhFTNwxISYA7KNM7cyBXPfyhJr
 QMj9PId_E8mv9_Nn7jmDWviibOo7z.3Xh6EFNZF5Y7uNwCVnUIbkv4M.FBeDFjzhoDD_gUaaT6Xr
 CdAkbiwG2ITHz6X6h03kfzpY.v0MkkdvE5lcY4AaAO4h7kyqG868pGQCMqZJkBB9efD5vyM7QmoZ
 ClahnpYpM4.yZETXAcbNxzhSppAelbT8BlDQA7WJ7av.RHen1t8RSP8EcX28IFLXWWdF1.m.pJ7I
 Bqo4H3SUn6shR8WalO77UAAtFZXIPmTMs4auMvRU.fikgx8FkZZMEg1Z5sAOCKKFfMkjbby3vPMi
 EPZ_PADILOwEQZ9zaFVA1vMtHzQrJV.At3.C0lDfPAX6qkVwnbe2AUfob3SKZ_s1dkCLA1xDEgZf
 ShpSmL9Q20WVmX1PyNkbaEMRhD1M33H7Gt4fyqNnWk7f6rSZxX2cg7nnH_eWEX.QR10wrgYiFnpb
 n21bhKSoNWL0yhOuRU_PM6lm53IbAsm5RSoWtYgynF60fhM9OCQPQrFZSvcoQjGnWiShA9eBFDRt
 i3Qgra3BqP3Uqb_BsEvCdLvomoVSq8T2WcT3XEl99X7315Xr75pPuqVXd_ak8wtVm0JgIcG9UuM8
 D2sXp.OK132GHI2Z9fJGIfsK_rAhnJyhOlGbR1zTVNjJy4NoEG1BlNVZNoUHk4gmSy8uYsxg6ADT
 eEwbfVGLIn4aJn2No7fysCzCez722ov2HrD0ZuoZFZ0.m_n5FYLZdcxgOdOB78YTCQ3jew9Ez7b8
 P8puxtbdXF_.M9.al3EtmopU4MnzUG6wFkcPr9tdEws76wg_ZibkDd8mAUBTEOeNuc6h4EA014xd
 X4XyuK8kUgUXWektI48tuT3shhNbCpc.E01qlJoweiLO7_mrC3MEs72.z0_W9RJergM38R.fr73W
 YFKS0X1FbDsaGKypGkSqB4b_dMRtip5iTKyjajD5wLC2V52w7XRSuEHik3bPYuK489yLPu_Xs8kp
 TqEbHVRF5XNthxExFy1KC_97bIKViR4R.3uuwKvBqhHgDfexd.jpOecyNDR5167bijJCw3Jh8558
 q11pEtzFcEWGHpx9Kd0kO59KxKkvTL8D13MIIjmyTFwRP92bqC9JLDP6UDQmYSRwv51CF9iorS.7
 q52sQNdliTqk.xKTGZSuiDfH69wTjUuMHzc2kj29pSW06ZxBZDAxr_H4vl8ah4u_UOGdwEAW.0ui
 3wrKIaqEkfKMrDu.9NoD7BIW1aSziEQyIKNRNl.q8aa1oJAOdWHzPB_7Oo1d4aMccXpfD1VJBkDQ
 4FiGPmws0Brwl7TFnTpx4Qu63pN7m42785q3QVfKgZKav350Jbzs5_mUYuagW._IHUxR4hgzE77e
 K2eTFLB3QULyZ5QVFWP9O98FBWpvYkOIXhOKansfA
X-Sonic-MF: <mardani29@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ir2.yahoo.com with HTTP; Tue, 13 Apr 2021 18:11:53 +0000
Received: by kubenode532.mail-prod1.omega.ir2.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID ba719361a9cbc47a25746da143c9c1ce; 
 Tue, 13 Apr 2021 18:11:51 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Artemio =?utf-8?Q?Gonz=C3=A1lez_L=C3=B3pez?= <artemiog@HIDDEN>
Subject: Re: bug#47753: 27.2; emacs menus don't drop down (macos 10.11.6)
References: <008E511E-2805-4F72-90F3-6A852F4A9864@HIDDEN>
Date: Tue, 13 Apr 2021 20:11:50 +0200
In-Reply-To: <008E511E-2805-4F72-90F3-6A852F4A9864@HIDDEN> ("Artemio
 =?utf-8?Q?Gonz=C3=A1lez=09L=C3=B3pez=22's?= message of "Tue, 13 Apr 2021
 18:17:57 +0200")
Message-ID: <m15z0qnjfd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.18121
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/16)
Content-Length: 628
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 47753
Cc: 47753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Artemio Gonz=C3=A1lez L=C3=B3pez <artemiog@HIDDEN> writes:

> I'm using Emacs 27.2 on an old iMac running macos 10.11.6 (aka El
> Capitan). Starting (I think) with version 27, Emacs's menus displayed in
> the menubar on top of the screen (File, Edit, Options, Buffers, Tools,
> etc. on macos) don't drop down when you click on them (the menu name
> gets highlited, but nothing drop down under it, so it's unusable).
> The only exception to this behavior is the Emacs
> menu (I think this is a specific macos menu) drops down properly when cli=
cke upon.
>

I think this is a duplicate of bug#47692, which is solved in Emacs
28.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47753; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2021 16:21:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 13 12:21:29 2021
Received: from localhost ([127.0.0.1]:60622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWLn7-0002Rh-5w
	for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 12:21:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:42624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <artemiog@HIDDEN>) id 1lWLju-0002M1-S8
 for submit <at> debbugs.gnu.org; Tue, 13 Apr 2021 12:18:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43862)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <artemiog@HIDDEN>) id 1lWLju-0002Fj-FV
 for bug-gnu-emacs@HIDDEN; Tue, 13 Apr 2021 12:18:10 -0400
Received: from st43p00im-ztfb10061701.me.com ([17.58.63.172]:60236)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <artemiog@HIDDEN>) id 1lWLjs-0003OO-FR
 for bug-gnu-emacs@HIDDEN; Tue, 13 Apr 2021 12:18:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=me.com; s=1a1hai;
 t=1618330685; bh=aykQr2rAAtYG5fUU+hGJnYlCbdZwbRg0hlf2cU8FDIc=;
 h=From:Content-Type:Subject:Message-Id:Date:To:Mime-Version;
 b=VdaTNT+S4HCQ+JE6KOdaidknUeb3x7cAzWJdDhBbtpPcUd9ESFJ5xxq+HduoiquId
 rOqpX2RNILNLtgQ3zwVapOeR/RZCdbS3JYI8BuPa2eEeesLHuh1cnWGKIUywlgEM+j
 GUgM+DhZT1QmTOk0R1eysbdg2xAYHSxcPOKSHXUMtvjZXBmYtbYuzZhkxKIbJIKP3j
 VshNW30RMY8XEzrcfNStK2yhVL707XoifRbOu98VCdyyf2Xkb5qhhWo2BIJYQ3UVIA
 yloM5qnDVVhWS3LgxLtupaYXgP3UuBByb5pmRR19i4Si5Xzn3vrkLL0OS7jn1138mT
 BvdYL8uPPmU0A==
Received: from [10.0.1.202] (tillina.fis.ucm.es [147.96.22.210])
 by st43p00im-ztfb10061701.me.com (Postfix) with ESMTPSA id 258E1AC0098
 for <bug-gnu-emacs@HIDDEN>; Tue, 13 Apr 2021 16:18:04 +0000 (UTC)
From: =?utf-8?Q?Artemio_Gonz=C3=A1lez_L=C3=B3pez?= <artemiog@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: 27.2; emacs menus don't drop down (macos 10.11.6)
Message-Id: <008E511E-2805-4F72-90F3-6A852F4A9864@HIDDEN>
Date: Tue, 13 Apr 2021 18:17:57 +0200
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 9.3 \(3124\))
X-Mailer: Apple Mail (2.3124)
X-Proofpoint-Virus-Version: =?UTF-8?Q?vendor=3Dfsecure_engine=3D1.1.170-22c6f66c430a71ce266a39bfe25bc?=
 =?UTF-8?Q?2903e8d5c8f:6.0.391,18.0.761,17.0.607.475.0000000_definitions?=
 =?UTF-8?Q?=3D2021-04-13=5F08:2021-04-13=5F02,2021-04-13=5F08,2020-04-07?=
 =?UTF-8?Q?=5F01_signatures=3D0?=
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 mlxlogscore=999
 phishscore=0 mlxscore=0 bulkscore=0 clxscore=1011 suspectscore=0
 malwarescore=0 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2009150000 definitions=main-2104130110
Received-SPF: pass client-ip=17.58.63.172; envelope-from=artemiog@HIDDEN;
 helo=st43p00im-ztfb10061701.me.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 13 Apr 2021 12:21:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)



I'm using Emacs 27.2 on an old iMac running macos 10.11.6 (aka El
Capitan). Starting (I think) with version 27, Emacs's menus displayed in
the menubar on top of the screen (File, Edit, Options, Buffers, Tools,
etc. on macos) don't drop down when you click on them (the menu name
gets highlited, but nothing drop down under it, so it's unusable).
The only exception to this behavior is the Emacs
menu (I think this is a specific macos menu) drops down properly when =
clicke upon.


In GNU Emacs 27.2 (build 1, x86_64-apple-darwin15.6.0, NS appkit-1404.47 =
Version 10.11.6 (Build 15G22010))
of 2021-03-26 built on elcapitan.internal.macports.net
Windowing system distributor 'Apple', version 10.3.1404
System Description:  Mac OS X 10.11.6

Recent messages:
Loading delsel...done
Loading paren...done
Loading /Users/artemio/.session...done
For information about GNU Emacs and the GNU system, type C-h C-a.
ESC M-b is undefined

Configured using:
'configure --prefix=3D/opt/local --disable-silent-rules --without-dbus
--without-gconf --without-libotf --without-m17n-flt --with-gmp
--with-gnutls --with-json --with-xml2 --with-modules --infodir
/opt/local/share/info/emacs --with-ns --with-lcms2 --without-harfbuzz
--without-imagemagick --without-xaw3d --with-rsvg 'CFLAGS=3D-pipe -Os
-arch x86_64' CPPFLAGS=3D-I/opt/local/include 'LDFLAGS=3D-L/opt/local/lib
-Wl,-headerpad_max_install_names -Wl,-no_pie -arch x86_64''

Configured features:
RSVG GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS XIM
NS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_ES.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  delete-selection-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils paren delsel
cus-start cus-load edmacro kmacro tabbar easy-mmode session
exec-path-from-shell finder-inf server info tex-site package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 83612 10586)
(symbols 48 9634 1)
(strings 32 26505 1240)
(string-bytes 1 858209)
(vectors 16 13710)
(vector-slots 8 174203 14428)
(floats 8 40 25)
(intervals 56 402 0)
(buffers 1000 12))




Acknowledgement sent to Artemio González López <artemiog@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47753; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 May 2021 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.